@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');

:root {
    /* Color palette */
    --white: #fff;
    --off-white: #f8f8f8;
    --yellow: #e9d400;
    --yellow-dark: #e9a800;
    --green-primary: #145b38;
    --green-secondary: #0e8766;
    --green-1: #0D634C;
    --green-2: #0E4032;
    --green-dark: #073d22;
    --green-light: #25714b;
    --green-lighter: #258b58;
    --green-lightest: #C6EE40;
    --dark-bg: #07242b;
    --dark-bg-2: #01170e;
    --dark-bg-3: #1f2b2f;
    --dark-bg-4: #1F2B2F;
    --border-gray: #2d4146;
    --gray-1: #838383;

    /* Functional colors */
    --color-loading: var(--white) !important;
    --form-color-label: var(--off-white) !important;
    --body-dark-bg: var(--dark-bg) !important;
    --primary-color: var(--green-primary) !important;
    --button-primary: var(--yellow) !important;
    --main-highlight: var(--green-dark) !important;
    --main-highlight-2: var(--yellow) !important;
    --secondary-color: var(--green-secondary) !important;
    --copyright-bg: var(--dark-bg-2) !important;
    --img-deco-color: var(--green-light) !important;
    --color-highlight: var(--green-light) !important;
    --active-menu-bg-color: var(--green-secondary) !important;
    --text-secondary: var(--yellow) !important;
    --color-background-active: var(--green-secondary) !important;
    --form-input-bgr: var(--dark-bg-2) !important;
    --color-text-highlight: var(--yellow) !important;
    --bgr-gradient: linear-gradient(90deg, var(--green-light) 0%, var(--green-lighter) 100%) !important;
    --bgr-menu-bottom: var(--green-secondary) !important;
    --color-menu-active: var(--yellow) !important;
    --text-menu: var(--white) !important;
    --filter-color-icon-button: brightness(0) saturate(100%) invert(38%) sepia(13%) saturate(2151%) hue-rotate(97deg) brightness(88%) contrast(84%) !important;
    --filter-color-icon-button-disabled: var(--filter-color-icon-button);
    --bg-button: var(--border-gray) !important;
    --color-background-active-2: var(--dark-bg-2) !important;
    --subheader-bg: #2a2d2c;
    --subheader-text: #aaaaaa;
    --subheader-text--active: var(--yellow);
    --header-bg: var(--green-secondary) !important;
    --header-text: var(--white);
    --header-text-active: #ffcc00;
    --sidebar-bg-color: transparent !important;
    --content-bg-color: var(--dark-bg-2) !important;
    --bgr-main: var(--dark-bg-2) !important;
    --color-text-active: var(--off-white) !important;
    --form-border-color: var(--border-gray) !important;
    --form-color-text: var(--off-white) !important;
    --text-dark: var(--off-white) !important;
    --bgr-primary: var(--dark-bg-2) !important;
    --color-text: var(--off-white) !important;
    --color-text-basic: var(--off-white) !important;
    --color-background-list: var(--dark-bg-3) !important;
    --color-border-light: var(--border-gray) !important;
    --color-border-active: var(--yellow) !important;
    --color-text-primary: var(--off-white) !important;
    --color-border: var(--border-gray) !important;
    --border-color: var(--border-gray) !important;
    --color-border-03: var(--border-gray) !important;
    --form-bgr: var(--dark-bg-2) !important;
    --color-success: var(--green-secondary);
    --color-primary: var(--off-white) !important;
    --acc-radius: 16px;
    --bgr-btn-browse: var(--green-secondary) !important;
    --color-text-10: var(--yellow) !important;
    --bgr-btn-expand: #01170E !important;
    --bgr-btn-expand-active: #0E8766 !important;
    --horse-racing-bgc: #1A2B3C;
    --casino-page-bgc: #150125;
    --virtual-page-bgc: #2D0654;
    --bgr-label-failed: rgba(239, 87, 87, 1);

    --body-dark-bgi: url('/img/sites/bet593-online/bg-layer-1.png');
    --casino-page-bgi: url('/img/sites/bet593-online/casino-page-bg.png');
    --virtual-page-bgi: url('/img/sites/bet593-online/virtual-page-bg.png');
    --horse-racing-bgi: url('/img/sites/bet593-online/horse-page-bg.png');
    --ticket-status-bgi: url('/img/sites/bet593-online/ticket-status-bg.jpg');
}

/* Form elements */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-text-fill-color: var(--form-color-text) !important;
    -webkit-box-shadow: 0 0 0 30px var(--bgr-primary) inset !important;
}

.file-upload-browes span {
    text-transform: capitalize;
}

@media (max-width: 768px) {

    .user-info,
    .user-menu__item,
    .user-menu__list {
        background: transparent !important;
    }

    .user-info__wrap,
    .user-box__item {
        color: var(--color-text) !important;
        background-color: var(--green-secondary) !important;
    }

    .user-info__item .user-info__link {
        padding: 8px 0;
        color: var(--dark-bg-2) !important;
        border: none !important;
        border-radius: 16px !important;
    }

    .user-info__link .user-info__text {
        font-weight: 600 !important;
    }

    .user-info__item:last-child .user-info__link {
        background-color: var(--yellow) !important;
    }

    .user-info__item:first-child .user-info__link {
        background-color: var(--green-lightest) !important;
    }

    .bottom-menu-container .menu__main {
        justify-content: space-between !important;
        padding: 0 !important;
    }

    .bottom-menu-container .menu__item {
        flex-grow: 1 !important;
        width: unset !important;
        padding-top: 10px !important;
    }

    .bottom-menu-container .menu__item.active {
        background-color: var(--green-1) !important;
    }

    .users__settings,
    .referral__content,
    .referral__steps-mobile,
    .users__tab-item,
    .accounts__tab-item {
        background-color: transparent !important;
        max-width: 100vw !important;
    }

    .bv-select__input--label.selected {
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    .referral .easy-steps__head {
        background-color: var(--dark-bg-2) !important;
    }

    .referral .easy-steps__head .easy-steps__head__item {
        color: var(--off-white) !important;
    }

    .user-box__item {
        padding: 6px 2px !important;
        gap: 4px;
    }

    .user-info__text {
        font-size: 14px !important;
    }

    .promotion-convert-table {
        max-width: calc(100vw - 30px) !important;
        overflow: auto;
    }

    .promotion-convert-table td {
        font-size: 14px !important;
        padding-right: 10px;
    }

    .deposit__card--list {
        padding: 1rem !important;
        background-color: transparent !important;
    }
}

.form_radio {
    color: var(--off-white) !important;
}

.input-item-label {
    white-space: nowrap;
    color: var(--off-white) !important;
}

.info .input-item-label {
    font-size: 14px !important;
    font-weight: 400 !important;
}

.info__content .form-group .input {
    background-color: var(--form-input-bgr) !important;
}

.info__content .form-group.form-group-phone_number .input-phone .phone .input {
    border-left: 1px solid var(--form-border-color) !important;
    border-radius: var(--radius-tag) !important;
}

/* Modal styles */
.modal .modal__box-content .modal__content {
    background-color: var(--body-dark-bg) !important;
}

.bv-header-dialog .text-black,
.bv-header-dialog .bottom-text {
    color: var(--off-white) !important;
}

/* User menu */
.user-menu__item--active {
    background: var(--active-menu-bg-color) !important;
}

.user-menu__item--active .user-menu__text {
    color: var(--yellow) !important;
    font-weight: 600 !important;
}

.user-menu__item:hover .user-menu__text {
    color: var(--yellow) !important;
}

.user-menu__text,
.users__tab-item .tab_content__title {
    color: var(--off-white) !important;
}

.user-menu__link img {
    filter: var(--icon-filter);
}

.bv-user-menu__item:hover .bv-user-menu__item--link {
    color: var(--yellow) !important;
}

/* User dashboard */
.users__tab-item,
.user-dashboard__content {
    border-radius: 16px !important;
}

.user-info {
    border: none !important;
}

.users__settings__title,
.tab_content__title {
    border-bottom: 1px solid var(--border-gray) !important;
}

/* Overview items */
.overview__item--rows-price.overview-currency .highlight {
    color: var(--yellow-dark) !important;
}

.overview__item--btn>.btn {
    color: var(--main-highlight-2) !important;
    border-color: var(--main-highlight-2) !important;
}

.overview__item--btn>.btn.bv-button[variant='primary'] {
    color: rgba(1, 23, 14, 1) !important;
}

/* Header styles */
.bv-header--logo {
    width: 40px !important;
    height: 40px !important;
}

.bv-header--navbar {
    background: linear-gradient(90deg, rgba(27, 91, 59, 1) 0%, rgba(9, 139, 74, 1) 100%);
}

.bv-header--wrapper.desktop {
    background: linear-gradient(90deg, var(--header-bg) 50%, rgba(9, 139, 74, 1) 50%);
}

/* Deposit/Withdraw */
.deposit-options--item:not(.active):hover {
    background-color: rgba(14, 64, 50, 1) !important;
}

.deposit-options--item.active {
    color: var(--main-highlight-2) !important;
}

.deposit__card,
.withdraw__card {
    background-color: rgba(245, 246, 246, 1) !important;
}

@media (max-width: 768px) {
    .deposit__card {
        padding: 10px !important;
        border-radius: 8px !important;
    }
}

/* Footer */
.bv-footer {
    color: var(--white) !important;
}

.bottom-menu-container .menu__sub--item {
    text-transform: uppercase;
}

/* Referral */
.referral .referral-rewards__play-now--content .bv-button {
    padding: 8px 16px !important;
    font-size: 14px !important;
}

/* Pagination */
.pagination .pagination__list li {
    background-color: rgba(20, 41, 47, 1);
    border-radius: 0px !important;
}

.pagination__list>li {
    color: var(--green-secondary);
}

.pagination__list>li.active {
    background-color: var(--green-secondary);
    color: var(--white);
}

.modal.base3 .modal__box-content .modal__content {
    border-radius: 1rem !important;
}

.bv-button[variant='secondary'] {
    color: var(--main-highlight) !important;
}

.text-primary {
    color: var(--color-highlight) !important;
}

.bv-button:hover {
    opacity: 0.85;
}

body {
    font-family: "Manrope", sans-serif !important;
    font-optical-sizing: auto;

    overflow-y: scroll;
    background-position: center 80px;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: var(--body-dark-bgi);
}

body.search-panel-expanded {
    overflow: hidden;
    padding-right: 4px !important;
}

body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #07242B;
}

body::-webkit-scrollbar {
    width: 4px;
    background-color: #07242B;
}

body::-webkit-scrollbar-thumb {
    background-color: #0E8766;
    border-radius: 4px;
}

.decorated-scrollbar::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #07242B;
}

.decorated-scrollbar::-webkit-scrollbar {
    width: 4px;
    background-color: #07242B;
}

.decorated-scrollbar::-webkit-scrollbar-thumb {
    background-color: #0E8766;
    border-radius: 4px;
}

.bv-card.bv-card {
    background-color: rgba(31, 43, 47, 1);
}

.referral__content,
.users__settings__contents,
.overview__content {
    color: var(--color-text-basic);
}

.user-info__logo {
    border-radius: 999px;
}

.bv-button {
    font-size: 14px;
    border-radius: 999px !important;
}

.bv-button[variant='primary'] {
    color: rgba(1, 23, 14, 1);
}

.select__input,
.form__field .form__control--input {
    color: var(--color-text-basic);
    border: 1px solid var(--color-border);
    border-radius: 4px;
}

.select ul {
    width: unset !important;
    min-width: 100%;
}

.select ul>li {
    color: var(--color-text-basic);
    white-space: nowrap;
}

.select ul>li.active,
.select ul>li:hover {
    color: var(--main-highlight-2) !important;
}

.form__field label {
    white-space: nowrap;
}

.referral .easy-steps__head .easy-steps__head__item .highlight,
.referral .easy-steps__text .text--prominent,
.referral .easy-steps__text.customCss {
    color: rgba(14, 135, 102, 1) !important;
}

.referral .easy-steps__text.customCss .text--prominent {
    color: var(--color-text-basic) !important;
}

.easy-steps__circle {
    border-color: rgba(14, 135, 102, 1) !important;
    color: rgba(14, 135, 102, 1) !important;
    background-color: rgba(1, 23, 14, 1) !important;
}

.referral .easy-steps__list::before {
    background-color: rgba(14, 135, 102, 1) !important;
}

.referral .referral-rewards__title .currency {
    color: rgba(14, 135, 102, 1) !important;
}

.bv-forgot-page,
.bv-login-page {
    color: var(--color-text-basic) !important;
}

.bv-forgot-page .bv-form .back-button {
    color: var(--color-text-basic) !important;
    background-color: var(--border-gray) !important;
}

/* Filter img - white */
.user-menu__active-icon,
.user-info__header .user_active__icon-arrow,
.user-info__header__right img,
.bv-forgot-page .bv-form .back-icon,
.user-box__item img {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(18deg) brightness(104%) contrast(102%) !important;
}

.modal__content-close {
    right: -35px !important;
}

.bv-button.disabled {
    color: rgba(248, 248, 248, 1) !important;
}

.history .history__content .content_main {
    padding: 20px;
}

.otp-input-group {
    color: var(--color-text) !important;
}

.bv-button {
    white-space: nowrap;
}

.infor.infor-status {
    flex: unset !important;
    border-radius: 8px !important;
}

.infor-status.infor-status__pending {
    color: var(--green-dark) !important;
}

.bv-balance,
.settings__my-details .form-item-input,
.user-menu__text,
.users__settings .form-group .input {
    font-size: 14px !important;
}

.referral .tabs-container .tabs-header .tabs-header-btn,
.users__settings .tabs-container .tabs-header .tabs-header-btn {
    width: unset !important;
    border: 2px solid transparent;
}

.referral .tabs-container .tabs-header,
.users__settings .tabs-container .tabs-header {
    overflow-x: auto;
    max-width: 100vw;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.referral .tabs-container .tabs-header::-webkit-scrollbar,
.users__settings .tabs-container .tabs-header::-webkit-scrollbar {
    display: none;
}

.referral .tabs-container .tabs-header {
    max-width: 96vw;
}

.static__item {
    border-radius: 4px !important;
    overflow: hidden;
}

.static__button-show {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 9999px !important;
}

.static__item-title--wrap {
    background-color: var(--dark-bg-2) !important;
}

.static__item-content {
    background-color: #0E4032 !important;
}

.text-validate {
    margin-top: 0px !important;
    margin-left: 0px !important;
}

.title_filter {
    filter: brightness(0) saturate(100%) invert(100%) sepia(5%) saturate(0%) hue-rotate(208deg) brightness(104%) contrast(101%);
}

.mybet__content,
.mybet .loading__content {
    height: 500px !important;
    min-height: 500px !important;
}

.mybet__content {
    overflow: auto;
}

.mybet .loading__content {
    padding-top: 100px !important;
}

@media (max-width: 768px) {

    .mybet__content,
    .mybet .loading__content {
        height: calc(100vh - 159px) !important;
        min-height: calc(100vh - 159px) !important;
    }

    .payment-method-group .payment-method-btn {
        padding: 10px !important;
        min-width: unset !important;
    }

    .pending-box .pending-actions {
        flex-wrap: wrap;
        gap: 12px !important;
    }

    .code-row .code-input {
        max-width: 70%;
    }
}

@media (max-width: 480px) {
    .pending-actions button {
        width: 100%;
    }
}

.form-group.form-group-gender .form_radio_wrap,
.form-group.form-group-gender .form_radio {
    height: 100%;
}

.shop-label {
    text-transform: capitalize !important;
}
